commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From sebb <seb...@gmail.com>
Subject [ALL] CP40: bug in Clirr Plugin 2.7 causes NPE in some projects
Date Mon, 09 May 2016 10:57:55 GMT
It turns out that there is a bug [1] in version 2.7 of the Clirr Maven
plugin which was added in CP40.

This affects some components only - for example IO.

A work-round is to override the property as follows:

<commons.clirr.version>2.6.1</commons.clirr.version>

Note, it seems it only affects components that have a particular type
of API change, see [1]

S.

[1] https://github.com/mojohaus/clirr-maven-plugin/issues/7

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message